{ pkgs, config, ... }:
{
  services.pixelfed = {
    enable = true;
    domain = "pics.${config.domains.jim1}";
    secretFile = pkgs.writeText "appkey" config.secrets.pixelfedKey;
    settings = {
      APP_NAME = ''"Jimbo's Pixelfed"'';
      INSTANCE_DESCRIPTION = ''"The Jimbosfiles Pixelfed Instance"'';
      INSTANCE_CONTACT_EMAIL = "contact@${config.domains.jim2}";
      OPEN_REGISTRATION = true;
      APP_LOCALE = "en";
      INSTANCE_DISCOVER_PUBLIC = true;
      STORIES_ENABLED = true;

      # Mail config
      ENFORCE_EMAIL_VERIFICATION = true;
      MAIL_FROM_ADDRESS = "noreply@${config.domains.jim1}";
      MAIL_FROM_NAME = ''"Jimbo's Pixelfed <noreply@${config.domains.jim1}>"'';
      MAIL_ENCRYPTION = "tls";
      MAIL_DRIVER = "smtp";
      MAIL_HOST = "mx.${config.domains.jim1}";
      MAIL_PORT = 587;
      MAIL_USERNAME = "noreply@${config.domains.jim1}";
      MAIL_PASSWORD = config.secrets.noreplyPassword;
    };
    nginx = {
      enableACME = true;
      forceSSL = true;
    };
  };
}
